Subject: bug#23137: 25.1.50; Subpixel rendering is broken when not running under gnome-session

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Mar 2016 19:43:08 +0300

> From: Matthew Leach <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 31 Mar 2016 08:34:47 +0100
> 
> > What configuration options were supposed to tell Emacs to use subpixel
> > rendering?
> 
> There are two: ~/.Xresources (attached).  On some systems there is
> /etc/fonts/conf.avail/10-sub-pixel-*.conf and you can symlink one of
> those to /etc/fonts/conf.d (I have attached the one I use).  The 'rgba'
> value in both configs controls subpixel rendering.

These are configuration files for software that is external to Emacs,
so I still think the problem might be in the configuration of those
other packages (fontconfig etc.), as I don't think Emacs reads these
files directly.  That's assuming you did make sure that the resources
were read by X.

And I'm really out of my depth here, so if double-checking the setup
of fontconfig and stuff doesn't help, I'm afraid you will have to look
for someone who really knows about this and could help you debug this.
Sorry.